Typedefs | Enumerations | Functions

# authenticate.h File Reference

`#include "wizard/exception.h"`
`#include "wizard/hash.h"`
`#include "wizard/string_.h"`

Go to the source code of this file.

## Typedefs
typedef struct _AuthenticateInfo | AuthenticateInfo
## Enumerations
enum | AuthenticateMethod { UndefinedAuthenticate, SecretAuthenticateMethod, PublicAuthenticateMethod }
## Functions
WizardExport AuthenticateInfo * | AcquireAuthenticateInfo (const AuthenticateMethod, const char *, const HashType)
WizardExport AuthenticateInfo ** | DestroyAuthenticateInfo (AuthenticateInfo *)
WizardExport const char * | GetAuthenticatePassphrase (const AuthenticateInfo *)
WizardExport const StringInfo * | GetAuthenticateId (const AuthenticateInfo *)
WizardExport const StringInfo ** | GetAuthenticateKey (const AuthenticateInfo *)
WizardExport size_t | GetAuthenticateKeyLength (const AuthenticateInfo *)
WizardExport void | SetAuthenticateId (AuthenticateInfo *, const StringInfo *)
WizardExport void | SetAuthenticateKeyLength (AuthenticateInfo *, const size_t)
WizardExport void | SetAuthenticatePassphrase (AuthenticateInfo *, const char *)
WizardExport WizardBooleanType | AuthenticateKey (AuthenticateInfo *, ExceptionInfo *)
WizardExport WizardBooleanType | GenerateAuthenticateKey (AuthenticateInfo *, ExceptionInfo *)

## Typedef Documentation

typedef struct _AuthenticateInfo AuthenticateInfo

## Enumeration Type Documentation

enum AuthenticateMethod

Enumerator:

  UndefinedAuthenticate |
  SecretAuthenticateMethod |
  PublicAuthenticateMethod |

## Function Documentation

WizardExport AuthenticateInfo* AcquireAuthenticateInfo | ( | const | AuthenticateMethod,
|  | const char * | ,
|  | const | HashType |
| ) |  |  |

WizardExport WizardBooleanType AuthenticateKey | ( | AuthenticateInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

WizardExport AuthenticateInfo* * DestroyAuthenticateInfo | ( | AuthenticateInfo * |  | ) |

References AuthenticateDomain, DestroySecretInfo(), EnumerateError, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, RelinquishWizardMemory(), SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport WizardBooleanType GenerateAuthenticateKey | ( | AuthenticateInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

References AuthenticateDomain, EnumerateError, GenerateSecretKey(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, WizardFalse, and WizardSignature.

WizardExport const StringInfo* GetAuthenticateId | ( | const AuthenticateInfo * |  | ) |

WizardExport const StringInfo* * GetAuthenticateKey | ( | const AuthenticateInfo * |  | ) |

References AuthenticateDomain, EnumerateError, GetSecretKey(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport size_t GetAuthenticateKeyLength | ( | const AuthenticateInfo * |  | ) |

References AuthenticateDomain, EnumerateError, GetSecretKeyLength(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport const char* GetAuthenticatePassphrase | ( | const AuthenticateInfo * |  | ) |

References AuthenticateDomain, EnumerateError, GetSecretPassphrase(), GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, _AuthenticateInfo::signature, ThrowWizardFatalError, TraceEvent, WizardAssert, and WizardSignature.

WizardExport void SetAuthenticateId | ( | AuthenticateInfo * | ,
|  | const StringInfo * |  |
| ) |  |  |

WizardExport void SetAuthenticateKeyLength | ( | AuthenticateInfo * | ,
|  | const | size_t |
| ) |  |  |

WizardExport void SetAuthenticatePassphrase | ( | AuthenticateInfo * | ,
|  | const char * |  |
| ) |  |  |

References AuthenticateDomain, GetWizardModule, _AuthenticateInfo::handle, LogWizardEvent(), _AuthenticateInfo::method, SecretAuthenticateMethod, SetSecretPassphrase(), _AuthenticateInfo::signature, TraceEvent, WizardAssert, and WizardSignature.